##this script allows analysis using Blei, Ng, and Jordan's (2003) spectral
##clustering algorithm

galileo2spectral<- function(affinity, k=10,...){
  S <- affinity$cosine
  k <- k
  spectral<- function(S, k){
	aff.max<- max(S)
	distance<- 1 - S/aff.max
	sigma<- 1
	distance<- exp(-distance/sigma)
	diag(distance)<- 0
	D.mat<- matrix(0, nrow=nrow(distance), ncol=ncol(distance))
	sums<- apply(distance, 1, sum)
	diag(D.mat)<- 1/(sqrt(sums))
	L<- D.mat%*%distance%*%D.mat
	Y<- eigen(L)$vectors[,1:k]
	out<- apply(Y*Y, 1, sum)
	Y<- Y/sqrt(out)
	sol<- kmeans(Y, k)
	return(sol$cluster)
      }
  out <- spectral(S, k)
  return(out)
	}

